HomeREST APISearch

Search

Query the intranet search index programmatically.

Note: All endpoints require authentication and an X-Tenant header. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.

Endpoints on this page

GET /api/search

Gets search results for the given input.

Parameters

Name In Type Required Description
searchTerm query string No
type query string No
limit query integer (int32) No
offset query integer (int32) No
sortBy query string No
includeChildSections query boolean No
excludedTypes query string No
sectionId query array of integer No
authorId query integer (int32) No
authorType query integer (int32) No
hashtags query array of string No
orderKeyContentFirst query boolean No
titleExactMatch query boolean No
preventLog query boolean No
topics query array of string No
appendUtmParameters query boolean No
utmMedium query string No
trackSearch query boolean No

Responses

Status Body
200 See below
400

Response body

{
  "SearchId": 0,
  "SearchTerm": "string",
  "SearchTermSuggestion": {
    "Suggest": "string",
    "Highlight": "string"
  },
  "SearchExecutionTime": 0,
  "SearchExecutionTimeAsString": "string",
  "TotalResults": 0,
  "Results": [
    {
      "Id": "string",
      "AvatarId": 0,
      "Author": "string",
      "AuthorId": 0,
      "AuthorType": 0,
      "AuthorTypeTitle": "string",
      "TopSectionId": 0,
      "Title": "string",
      "Summary": "string",
      "JobTitle": "string",
      "SearchItemType": "string",
      "Type": "string",
      "OriginalTitle": "string",
      "DateAdded": "2024-01-01T00:00:00Z",
      "DateUpdated": "2024-01-01T00:00:00Z",
      "Location": "string",
      "Url": "string",
      "Target": "string",
      "Entity": "string",
      "CommentsAllowed": true,
      "NoOfComments": 0,
      "NoOfLikes": 0,
      "IsBestBet": true,
      "Attachments": [
        {
          "Title": "string",
          "Url": "string",
          "Extension": "string",
          "FileSizeBytes": 0
        }
      ],
      "IsKey": true,
      "AvatarPath": "string",
      "Classification": "string",
      "IsNew": true,
      "IsBeta": true
    }
  ],
  "ContentTypes": [
    {
      "ContentType": "string",
      "DisplayName": "string",
      "Count": 0
    }
  ],
  "Filters": [
    {
      "Name": "string",
      "Label": "string",
      "Facets": [
        {
          "Name": "string",
          "DisplayName": "string",
          "Count": 0,
          "Selected": true
        }
      ]
    }
  ]
}
FieldType
SearchIdinteger (int32)
SearchTermstring
SearchTermSuggestionobject
SearchExecutionTimenumber (float)
SearchExecutionTimeAsStringstring
TotalResultsinteger (int32)
Resultsarray of object
ContentTypesarray of object
Filtersarray of object

GET /api/search/bytype

List items by types.

Parameters

Name In Type Required Description
searchTerm query string No
filterTypes query string No
limit query integer (int32) No

Responses

Status Body
200 See below
400

Response body

{
  "SearchId": 0,
  "SearchTerm": "string",
  "SearchTermSuggestion": {
    "Suggest": "string",
    "Highlight": "string"
  },
  "SearchExecutionTime": 0,
  "SearchExecutionTimeAsString": "string",
  "TotalResults": 0,
  "Results": [
    {
      "Id": "string",
      "AvatarId": 0,
      "Author": "string",
      "AuthorId": 0,
      "AuthorType": 0,
      "AuthorTypeTitle": "string",
      "TopSectionId": 0,
      "Title": "string",
      "Summary": "string",
      "JobTitle": "string",
      "SearchItemType": "string",
      "Type": "string",
      "OriginalTitle": "string",
      "DateAdded": "2024-01-01T00:00:00Z",
      "DateUpdated": "2024-01-01T00:00:00Z",
      "Location": "string",
      "Url": "string",
      "Target": "string",
      "Entity": "string",
      "CommentsAllowed": true,
      "NoOfComments": 0,
      "NoOfLikes": 0,
      "IsBestBet": true,
      "Attachments": [
        {
          "Title": "string",
          "Url": "string",
          "Extension": "string",
          "FileSizeBytes": 0
        }
      ],
      "IsKey": true,
      "AvatarPath": "string",
      "Classification": "string",
      "IsNew": true,
      "IsBeta": true
    }
  ],
  "ContentTypes": [
    {
      "ContentType": "string",
      "DisplayName": "string",
      "Count": 0
    }
  ],
  "Filters": [
    {
      "Name": "string",
      "Label": "string",
      "Facets": [
        {
          "Name": "string",
          "DisplayName": "string",
          "Count": 0,
          "Selected": true
        }
      ]
    }
  ]
}
FieldType
SearchIdinteger (int32)
SearchTermstring
SearchTermSuggestionobject
SearchExecutionTimenumber (float)
SearchExecutionTimeAsStringstring
TotalResultsinteger (int32)
Resultsarray of object
ContentTypesarray of object
Filtersarray of object

GET /api/search/people

List peoples.

Parameters

Name In Type Required Description
search.searchTerm query string No
search.alphabetFilter query string No
search.department query string No
search.managerId query integer (int32) No
search.limit query integer (int32) No
search.offset query integer (int32) No
search.sortBy query string No
search.expertise query array of string No
search.interests query array of string No
search.customFields query array No
search.userFilters query array No
search.allowedPersonIds query array of integer No
search.includeAdditionalGroups query boolean No
search.searchType query string No
search.jobTitle query string No
search.phoneNumber query string No
search.additionalDepartmentId query string No
search.additionalCompanyId query string No
search.additionalLocationId query string No
search.showEveryoneFilter query boolean No
search.keepSearchFilters query boolean No
search.currentPage query integer (int32) No
search.pageLucene query boolean No
search.utmMedium query string No
search.nameOnly query boolean No

Responses

Status Body
200 See below
400

Response body

{
  "TotalResults": 0,
  "Limit": 0,
  "Offset": 0,
  "Results": [
    {
      "Id": 0,
      "FullName": "string",
      "LastName": "string",
      "FirstName": "string",
      "IsMe": true,
      "AssetId": 0,
      "Email": "string",
      "JobDescription": "string",
      "Manager": "string",
      "PrimaryDepartment": "string",
      "PrimaryCompany": "string",
      "PrimaryLocation": "string",
      "Extension": "string",
      "WorkPhone": "string",
      "Mobile": "string",
      "JobTitle": "string",
      "ImageUrl": "string",
      "ExpertiseUrl": "string",
      "InterestsUrl": "string",
      "FollowersUrl": "string",
      "QueryStringUtmParameters": "string"
    }
  ],
  "Filters": [
    {
      "Name": "string",
      "Label": "string",
      "Facets": [
        {
          "Name": "string",
          "Count": 0,
          "Selected": true
        }
      ]
    }
  ]
}
FieldType
TotalResultsinteger (int32)
Limitinteger (int32)
Offsetinteger (int32)
Resultsarray of object
Filtersarray of object

GET /api/search/quicksearch

List quick-search results.

Parameters

Name In Type Required Description
searchTerm query string Yes
limit query integer (int32) Yes

Responses

Status Body
200 See below
400

Response body

{
  "SearchId": 0,
  "SearchTerm": "string",
  "SearchTermSuggestion": {
    "Suggest": "string",
    "Highlight": "string"
  },
  "SearchExecutionTime": 0,
  "SearchExecutionTimeAsString": "string",
  "TotalResults": 0,
  "Results": [
    {
      "Id": "string",
      "AvatarId": 0,
      "Author": "string",
      "AuthorId": 0,
      "AuthorType": 0,
      "AuthorTypeTitle": "string",
      "TopSectionId": 0,
      "Title": "string",
      "Summary": "string",
      "JobTitle": "string",
      "SearchItemType": "string",
      "Type": "string",
      "OriginalTitle": "string",
      "DateAdded": "2024-01-01T00:00:00Z",
      "DateUpdated": "2024-01-01T00:00:00Z",
      "Location": "string",
      "Url": "string",
      "Target": "string",
      "Entity": "string",
      "CommentsAllowed": true,
      "NoOfComments": 0,
      "NoOfLikes": 0,
      "IsBestBet": true,
      "Attachments": [
        {
          "Title": "string",
          "Url": "string",
          "Extension": "string",
          "FileSizeBytes": 0
        }
      ],
      "IsKey": true,
      "AvatarPath": "string",
      "Classification": "string",
      "IsNew": true,
      "IsBeta": true
    }
  ],
  "ContentTypes": [
    {
      "ContentType": "string",
      "DisplayName": "string",
      "Count": 0
    }
  ],
  "Filters": [
    {
      "Name": "string",
      "Label": "string",
      "Facets": [
        {
          "Name": "string",
          "DisplayName": "string",
          "Count": 0,
          "Selected": true
        }
      ]
    }
  ]
}
FieldType
SearchIdinteger (int32)
SearchTermstring
SearchTermSuggestionobject
SearchExecutionTimenumber (float)
SearchExecutionTimeAsStringstring
TotalResultsinteger (int32)
Resultsarray of object
ContentTypesarray of object
Filtersarray of object

GET /api/search/recent

Gets search results for the given input.

Parameters

Name In Type Required Description
limit query integer (int32) No

Responses

Status Body
200 See below
400

Response body

{
  "RecentSearches": [
    "string"
  ],
  "NumberOfRecords": 0
}
FieldType
RecentSearchesarray of string
NumberOfRecordsinteger (int32)

POST /api/search/facets

Create a facet.

Request body

{
  "SearchTerm": "string",
  "Limit": 0,
  "Offset": 0,
  "SortBy": "string",
  "IncludeChildSections": true,
  "ExcludedTypes": "string",
  "ExcludedIds": [
    "string"
  ],
  "SectionId": [
    0
  ],
  "AuthorId": 0,
  "AuthorType": 0,
  "Hashtags": [
    "string"
  ],
  "Topics": [
    "string"
  ],
  "OrderKeyContentFirst": true,
  "TitleExactMatch": true,
  "PreventLog": true,
  "UserFilters": [
    {
      "Name": "string",
      "Facet": "string"
    }
  ],
  "AppendUtmParameters": true,
  "UtmMedium": "string",
  "HighlightSearchTerms": true,
  "ExcludePeopleFromResults": true
}
FieldType
SearchTermstring
Limitinteger (int32)
Offsetinteger (int32)
SortBystring
IncludeChildSectionsboolean
ExcludedTypesstring
ExcludedIdsarray of string
SectionIdarray of integer
AuthorIdinteger (int32)
AuthorTypeinteger (int32)
Hashtagsarray of string
Topicsarray of string
OrderKeyContentFirstboolean
TitleExactMatchboolean
PreventLogboolean
UserFiltersarray of object
AppendUtmParametersboolean
UtmMediumstring
HighlightSearchTermsboolean
ExcludePeopleFromResultsboolean

Responses

Status Body
200 See below
400

Response body

{
  "SearchId": 0,
  "SearchTerm": "string",
  "SearchTermSuggestion": {
    "Suggest": "string",
    "Highlight": "string"
  },
  "SearchExecutionTime": 0,
  "SearchExecutionTimeAsString": "string",
  "TotalResults": 0,
  "Results": [
    {
      "Id": "string",
      "AvatarId": 0,
      "Author": "string",
      "AuthorId": 0,
      "AuthorType": 0,
      "AuthorTypeTitle": "string",
      "TopSectionId": 0,
      "Title": "string",
      "Summary": "string",
      "JobTitle": "string",
      "SearchItemType": "string",
      "Type": "string",
      "OriginalTitle": "string",
      "DateAdded": "2024-01-01T00:00:00Z",
      "DateUpdated": "2024-01-01T00:00:00Z",
      "Location": "string",
      "Url": "string",
      "Target": "string",
      "Entity": "string",
      "CommentsAllowed": true,
      "NoOfComments": 0,
      "NoOfLikes": 0,
      "IsBestBet": true,
      "Attachments": [
        {
          "Title": "string",
          "Url": "string",
          "Extension": "string",
          "FileSizeBytes": 0
        }
      ],
      "IsKey": true,
      "AvatarPath": "string",
      "Classification": "string",
      "IsNew": true,
      "IsBeta": true
    }
  ],
  "ContentTypes": [
    {
      "ContentType": "string",
      "DisplayName": "string",
      "Count": 0
    }
  ],
  "Filters": [
    {
      "Name": "string",
      "Label": "string",
      "Facets": [
        {
          "Name": "string",
          "DisplayName": "string",
          "Count": 0,
          "Selected": true
        }
      ]
    }
  ]
}
FieldType
SearchIdinteger (int32)
SearchTermstring
SearchTermSuggestionobject
SearchExecutionTimenumber (float)
SearchExecutionTimeAsStringstring
TotalResultsinteger (int32)
Resultsarray of object
ContentTypesarray of object
Filtersarray of object

POST /api/search/feedback

Create a feedback.

Request body

{
  "SearchId": 0,
  "Feedback": "string"
}
FieldType
SearchIdinteger (int32)
Feedbackstring

Responses

Status Body
200
400
Section: REST API